Subject: Re: bug#26649: 26.0.50; buffer-command: Return the cmd that started a process in buffer

From: Tino Calancha <[email-masked]>
Date: Wed, 03 May 2017 17:25:47 +0900

Tino Calancha <[email-masked]> writes:

> On Thu, 27 Apr 2017, Juri Linkov wrote:
>
>>> Severity: wishlist
>>>
>>> I define in my private customization a command `buffer-command', which
>>> calls `process-command' on the process associated with the current
>>> buffer.
>>> Interactively, it shows in the echo area the command as the last column
>>> of `list-processes' does.
>>> Is anyone interested in adding this feature?
>>
>> The command name ‘buffer-command’ is confusing.  At first I thought it
>> should read a command in the minibuffer like ‘shell-command’ and execute
>> it in the buffer's process.  But actually it just displays the same info
>> that is available in ‘list-processes’.
> Yeah, this command seems very specific to my workflow.  It doesn't add
> nothing to `list-process', so i agree it's worthless adding it into
> Emacs.
There is no general interest in this proposal, so i am closing the report.